Index: tests/functional/spec/page_tabs.js
===================================================================
--- tests/functional/spec/page_tabs.js	(revision 2010)
+++ tests/functional/spec/page_tabs.js	(revision 1737)
@@ -1,60 +1,92 @@
 describe("tabs method (admin/js/pageTabs.js)", function() {
-	it("Must construct tabs using div content", function() {
+	
+	it("Construct tabs using div content", function() {
+		
 		loadFixtures('tabs.html');
-		loadStyleFixtures('default.css');
+		
+		expect($('#tab-1')).toBeVisible();
+		expect($('#tab-2')).toBeVisible();
+		expect($('#tab-3')).toBeVisible();
+		
+		expect($('.part-tabs')).not.toExist();
+		
+		$.pageTabs('tab-1');
+		
+		expect($('#tab-1')).toBeVisible();
+		expect($('#tab-2')).not.toBeVisible();
+		expect($('#tab-3')).not.toBeVisible();
+		
+		expect($('.part-tabs ul li#part-tabs-tab-1 a[href=#tab-1]')).toExist();
+		expect($('.part-tabs ul li#part-tabs-tab-2 a[href=#tab-2]')).toExist();
+		expect($('.part-tabs ul li#part-tabs-tab-3 a[href=#tab-3]')).toExist();
+	
+		expect($('.part-tabs ul li#part-tabs-tab-1')).toHaveClass('part-tabs-active');
+		
+	});
+	
+	it("Change tabs when changing the hash", function() {
+		
+		runs(function() {        
+            loadFixtures('tabs-iframe.html');
+        });
+		
+		waitsFor(function() {
+            return $("#testtab").contents().find('#tab-3').get(0);
+        }, 10000);
+		
+		runs(function() {
+			f$ = $("#testtab").get(0).contentWindow.$;
+			f$.pageTabs('tab-1');
 
-		expect($('#user-options')).toBeVisible();
-		expect($('#user-profile')).toBeVisible();
-		expect($('#user-favorites')).toBeVisible();
-		expect($('.part-tabs')).not.toExist();
- 
-		$.pageTabs('user-options');
-		expect($('#part-user-options')).toBeVisible();
-		expect($('#part-user-profile')).not.toBeVisible();
-		expect($('#part-user-favorites')).not.toBeVisible();
- 
-		expect($('.part-tabs')).toExist();
-		expect($('.part-tabs ul li#part-tabs-user-options')).toExist();
-		expect($('.part-tabs ul li#part-tabs-user-profile')).toExist();
-		expect($('.part-tabs ul li#part-tabs-user-favorites')).toExist();
-		expect($('#part-tabs-user-options')).toHaveClass('part-tabs-active');
+			expect(f$('#tab-1').get(0)).toBeVisible();
+			expect(f$('#tab-2').get(0)).not.toBeVisible();
+			
+			expect(f$('.part-tabs ul li#part-tabs-tab-1').get(0)).toHaveClass('part-tabs-active');
+			expect(f$('.part-tabs ul li#part-tabs-tab-2').get(0)).not.toHaveClass('part-tabs-active');
+
+            $("#testtab").attr('src', $("#testtab").attr('src')+'#tab-2');
+        });
+		
+		waitsFor(function() {
+			f$ = $("#testtab").get(0).contentWindow.$;
+            return f$('#tab-1').is(':not(:visible)');
+        }, 10000);
+		
+		runs(function() {
+			f$ = $("#testtab").get(0).contentWindow.$;
+			
+    		expect(f$('#tab-2').get(0)).toBeVisible();
+
+			expect(f$('.part-tabs ul li#part-tabs-tab-1').get(0)).not.toHaveClass('part-tabs-active');
+			expect(f$('.part-tabs ul li#part-tabs-tab-2').get(0)).toHaveClass('part-tabs-active');
+			
+        });
+		
 	});
-
-	it("Must open first part if pageTabs called without argument", function() {
-		loadFixtures('tabs.html');
-		loadStyleFixtures('default.css');
-
-		$.pageTabs();
-		expect($('#part-user-options')).toBeVisible();
-		expect($('#part-user-profile')).not.toBeVisible();
-		expect($('#part-user-favorites')).not.toBeVisible();		
-		expect($('#part-tabs-user-options')).toHaveClass('part-tabs-active');
-	});
- 
-	it("Must change visible part when clicking another tab", function() {
-		loadFixtures('tabs.html');
-		loadStyleFixtures('default.css');
+	
+	it("Load the correct tab with the correct hash", function() {
 		
-		$.pageTabs('user-options');
-		expect($('#part-user-options')).toBeVisible();
-		expect($('#part-user-profile')).not.toBeVisible();
-		expect($('#part-user-favorites')).not.toBeVisible();
-
-		$('.part-tabs ul li a[href="#user-profile"]').click();
-		expect($('#part-tabs-user-profile')).toHaveClass('part-tabs-active');		
-		expect($('#part-user-options')).not.toBeVisible();
-		expect($('#part-user-profile')).toBeVisible();
-	});
-
-	it("Must change opened part if corresponding anchor is in url", function() {
-		loadFixtures('tabs.html');
-		loadStyleFixtures('default.css');
-
-		spyOn(jQuery, 'pageTabsGetHash').andReturn('user-favorites');
-		$.pageTabs();
-		expect($('#part-user-options')).not.toBeVisible();
-		expect($('#part-user-profile')).not.toBeVisible();
-		expect($('#part-user-favorites')).toBeVisible();		
+		runs(function() {        
+            loadFixtures('tabs-iframe.html');
+            $("#testtab").attr('src', $("#testtab").attr('src')+'#tab-3');
+        });
+		
+		waitsFor(function() {
+			cond1 = $("#testtab").attr('src').split('#')[1] != '';
+			cond2 = $("#testtab").contents().find('#tab-3').get(0);
+            return cond1 && cond2;
+        }, 10000);
+		
+		runs(function() {
+			f$ = $("#testtab").get(0).contentWindow.$;
+			f$.pageTabs('tab-1');
+			
+			expect(f$('#tab-1').get(0)).not.toBeVisible();
+			expect(f$('#tab-3').get(0)).toBeVisible();
+			
+			expect(f$('.part-tabs ul li#part-tabs-tab-1').get(0)).not.toHaveClass('part-tabs-active');
+			expect(f$('.part-tabs ul li#part-tabs-tab-3').get(0)).toHaveClass('part-tabs-active');
+        });
+		
 	});
 });
-
Index: tests/functional/spec/users_actions.js
===================================================================
--- tests/functional/spec/users_actions.js	(revision 2010)
+++ tests/functional/spec/users_actions.js	(revision 1724)
@@ -1,5 +1,5 @@
 describe("updatePermissionsForm method (admin/js/_users_actions.js)", function() {
 	it("Click admin persmission must checked all associated permissions", function() {
-		loadFixtures('form_permissions.html');
+		loadFixtures('normal.html');
 		$('#permissions-form').updatePermissionsForm();
 		var permissions = ['usage','publish','delete','contentadmin','categories'];
@@ -13,5 +13,5 @@
 
 	it("Click contentadmin persmission must checked all associated permissions", function() {
-		loadFixtures('form_persmissions.html');
+		loadFixtures('normal.html');
 		$('#permissions-form').updatePermissionsForm();
 		var permissions = ['usage','publish','delete'];
Index: themes/ductile/_config.php
===================================================================
--- themes/ductile/_config.php	(revision 2003)
+++ themes/ductile/_config.php	(revision 1622)
@@ -437,6 +437,5 @@
 # HTML Tab
 
-echo '<div class="multi-part" id="themes-list'.($conf_tab == 'html' ? '' : '-html').'" title="'.__('Content').'">'.
-'<h3 class="out-of-screen-if-js">'.__('Content').'</h3>';
+echo '<div class="multi-part" id="themes-list'.($conf_tab == 'html' ? '' : '-html').'" title="'.__('Content').'">';
 
 echo '<form id="theme_config" action="blog_theme.php?conf=1" method="post" enctype="multipart/form-data">';
@@ -455,7 +454,5 @@
 echo '<fieldset><legend>'.__('Stickers').'</legend>';
 
-echo 
-'<div class="table-outer">'.
-'<table class="dragable">'.'<caption>'.__('Stickers (footer)').'</caption>'.
+echo '<table class="dragable">'.'<caption>'.__('Stickers (footer)').'</caption>'.
 '<thead>'.
 '<tr>'.
@@ -481,5 +478,5 @@
 echo
 '</tbody>'.
-'</table></div>';
+'</table>';
 
 echo '</fieldset>';
